batching of rasterize function

2014-12-12 06:25 AM - Marcel Gangwisch

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20072

Description

This bug is only concerning the new version 2.6... It works on 2.4.

If you try to convert several shapes to raster using the batch utility, you are asked for the ouput directory... 

but there is no field to type it in...

History

#1 - 2014-12-12 06:27 AM - Marcel Gangwisch

see also the reference for the function:

http://docs.qgis.org/2.6/de/docs/user_manual/processing_algs/gdalogr/gdal_conversion/rasterize.html

The ouput is:

Output layer: mandatory to choose an existing raster layer if the (*) option is selected

#2 - 2014-12-14 03:22 AM - Giovanni Manghi

- Category set to Processing/GDAL

- Status changed from Open to Feedback

are you sure you are using the latest Processing version and you don't have a old update masking the latest code? It works fine here on 2.6.

#3 - 2014-12-14 11:25 PM - Marcel Gangwisch

I'm using QGIS 2.6.0 - Brighton 64 Bit on Windows 7 also 64 Bit...

And my version is compiled against GDAL 1.11.0...

If you say that it works, I just download it again and try the current version which is online.

#4 - 2014-12-14 11:42 PM - Marcel Gangwisch

- File screenshot.png added

Hm after reinstall, I get the same problem, that there is no field to type the output directory.

See attached screenshot :)
#5 - 2014-12-15 02:36 AM - Giovanni Manghi

I think there is a misunderstanding here: the tools does not ask for an output folder, is asks for output files. In case of selecting the "write values into an

existing raster layer" then the output must exist beforehand and must be selected as output.

#6 - 2014-12-15 04:26 AM - Marcel Gangwisch

- File screenshot2.png added

Yes I know what you mean, but in QGIS 2.4 it was also possible to use the rasterize function without having existing raster layer..

What I mean I dont click the checkbox for "In case of selecting the "write values into an existing raster layer"".

I just want to write the raster in an output directory without an existing raster.

And this is not possible, because you can not type the output folder for the new raster which will be created by the rasterize function.

Do you know what I mean?

Attached to this message I added a screenshot from QGIS 2.4 and marked the output folder field.

#7 - 2014-12-15 05:00 AM - Giovanni Manghi

Marcel Gangwisch wrote:

Yes I know what you mean, but in QGIS 2.4 it was also possible to use the rasterize function without having existing raster layer..

What I mean I dont click the checkbox for "In case of selecting the "write values into an existing raster layer"".

I just want to write the raster in an output directory without an existing raster.

And this is not possible, because you can not type the output folder for the new raster which will be created by the rasterize function.

Do you know what I mean?

this is the point, it works fine here even when not checking that option and outputting a new layer, both running the tool normally and in batch mode.

Please check if inside .qgis2/python/plugins you have a "processing" folder.

#8 - 2014-12-15 05:47 AM - Marcel Gangwisch

- File screenshot3.png added

Giovanni Manghi wrote:

Marcel Gangwisch wrote:

Yes I know what you mean, but in QGIS 2.4 it was also possible to use the rasterize function without having existing raster layer..
What I mean I dont click the checkbox for "In case of selecting the "write values into an existing raster layer"".

I just want to write the raster in an output directory without an existing raster.

And this is not possible, because you can not type the output folder for the new raster which will be created by the rasterize function.

Do you know what I mean?

this is the point, it works fine here even when not checking that option and outputting a new layer, both running the tool normally and in batch mode.

Please check if inside .qgis2/python/plugins you have a "processing" folder.

This time I attached again a screenshot showing that I did not check the button for "write values into an existing raster layer". As the screenshot shows I

get the error message: Wrong or missing parameter value: Output layer: mandatory to choose an existing raster layer in the (*) option is selected (line 1)

To your question:

I looked for the processing folder.. But there is no processing folder in .qgis2/python/plugins

So this is the problem?

#9 - 2014-12-15 07:08 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

This time I attached again a screenshot showing that I did not check the button for "write values into an existing raster layer". As the screenshot

shows I get the error message: Wrong or missing parameter value: Output layer: mandatory to choose an existing raster layer in the (*) option is

selected (line 1)

you get it because in batch mode you must fill all the lines you see in the interface, and you cannot run it with just 1 line filled (min is 2).

To your question:

I looked for the processing folder.. But there is no processing folder in .qgis2/python/plugins

So this is the problem?

no, it is ok. A problem is if you have a "processing" folder in it.

#10 - 2014-12-15 07:51 AM - Marcel Gangwisch

of cause I also receive this error message if I fill both lines

#11 - 2014-12-15 08:13 AM - Giovanni Manghi

- File rasterize_batch.mp4 added

Marcel Gangwisch wrote:

of cause I also receive this error message if I fill both lines
see attached screencast, does not work for you that way?

#12 - 2014-12-15 08:38 AM - Marcel Gangwisch

I saw your screencast, I think it does not work for me...

I also made you a screencast.

#13 - 2014-12-15 08:56 AM - Marcel Gangwisch

- File ScreenCapture_2014-12-15_17.33.10__1_.mp4 added

sorry I forgot the screencast..

#14 - 2014-12-15 10:22 AM - Giovanni Manghi

fixed here

https://github.com/qgis/QGIS/pull/1737

is a trivial patch, you can modify the file yourself by adding the 2 missing lines.
